summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2009-01-31 22:12:53 +0000
committerMike Frysinger <vapier@gentoo.org>2009-01-31 22:12:53 +0000
commitf8c177cfc02222e1407de4b526d9ee50b66dbfa8 (patch)
tree7d0e8e1e6e878df6f23d941faf6047c8735a94d4 /net-fs/nfs-utils/files
parentAutomated update of use.local.desc (diff)
downloadgentoo-2-f8c177cfc02222e1407de4b526d9ee50b66dbfa8.tar.gz
gentoo-2-f8c177cfc02222e1407de4b526d9ee50b66dbfa8.tar.bz2
gentoo-2-f8c177cfc02222e1407de4b526d9ee50b66dbfa8.zip
Restart rpc.idmapd if nfsd is a module #220747 by Jochen Radmacher.
Diffstat (limited to 'net-fs/nfs-utils/files')
-rwxr-xr-xnet-fs/nfs-utils/files/nfs.initd16
1 files changed, 11 insertions, 5 deletions
diff --git a/net-fs/nfs-utils/files/nfs.initd b/net-fs/nfs-utils/files/nfs.initd
index 8944a7b8f89a..9716fdd3a638 100755
--- a/net-fs/nfs-utils/files/nfs.initd
+++ b/net-fs/nfs-utils/files/nfs.initd
@@ -1,7 +1,7 @@
#!/sbin/runscript
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/nfs.initd,v 1.14 2008/05/05 04:36:12 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/nfs.initd,v 1.15 2009/01/31 22:12:53 vapier Exp $
opts="reload"
@@ -42,9 +42,15 @@ waitfor_exportfs() {
}
mount_nfsd() {
- # Make sure nfs support is loaded in the kernel #64709
- if [ -e /proc/modules ] && ! grep -qs nfsd /proc/filesystems ; then
- modprobe -q nfsd
+ if [ -e /proc/modules ] ; then
+ # Make sure nfs support is loaded in the kernel #64709
+ if ! grep -qs nfsd /proc/filesystems ; then
+ modprobe -q nfsd
+ fi
+ # Restart idmapd if needed #220747
+ if grep -qs nfsd /proc/modules ; then
+ killall -q -HUP rpc.idmapd
+ fi
fi
# This is the new "kernel 2.6 way" to handle the exports file